<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.SystemMessagesMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.entity.SystemMessages">
            <id property="id" column="id" />
            <result property="userId" column="user_id" />
            <result property="type" column="type" />
            <result property="relatedDynamicId" column="related_dynamic_id" />
            <result property="title" column="title" />
            <result property="content" column="content" />
            <result property="isRead" column="is_read" />
            <result property="createdAt" column="created_at" />
            <result property="readAt" column="read_at" />
    </resultMap>

    <sql id="Base_Column_List">
        id,user_id,type,related_dynamic_id,title,content,
        is_read,created_at,read_at
    </sql>
</mapper>
